* repperc-xpy.inc

DISPLAY "#### START: repperc-xpy.inc";

WLANDAGRXPY(lndfortot,t,simcur)$WLANDAGRX(lndfortot,t-1,simcur) = 
  100*(WLANDAGRX(lndfortot,t,simcur)/WLANDAGRX(lndfortot,t-1,simcur) - 1);


WFAXPY(f,a,t,simcur)$WFAX(f,a,t-1,simcur) = 
  100*(WFAX(f,a,t,simcur)/WFAX(f,a,t-1,simcur) - 1);

EXCAPRATXPY(f,a,t,simcur)$EXCAPRATX(f,a,t-1,simcur) = 
  100*(EXCAPRATX(f,a,t,simcur)/EXCAPRATX(f,a,t-1,simcur) - 1);

QKASXPY(f,a,t,simcur)$QKASX(f,a,t-1,simcur) = 
  100*(QKASX(f,a,t,simcur)/QKASX(f,a,t-1,simcur) - 1);

GAMMACXPY(c,ac,t,simcur)$GAMMACX(c,ac,t-1,simcur) = 
  100*(GAMMACX(c,ac,t,simcur)/GAMMACX(c,ac,t-1,simcur) - 1);

DTRNSFSSECGOVXPY(t,simcur)$DTRNSFSSECGOVX(t-1,simcur) = 
  100*(DTRNSFSSECGOVX(t,simcur)/DTRNSFSSECGOVX(t-1,simcur) - 1);

QDEFORXPY(lndfortot,t,simcur)$QDEFORX(lndfortot,t-1,simcur) = 
  100*(QDEFORX(lndfortot,t,simcur)/QDEFORX(lndfortot,t-1,simcur) - 1);

QLANDXPY(lnd,t,simcur)$QLANDX(lnd,t-1,simcur) = 
  100*(QLANDX(lnd,t,simcur)/QLANDX(lnd,t-1,simcur) - 1);

QXACXPY(a,c,t,simcur)$QXACX(a,c,t-1,simcur) = 
  100*(QXACX(a,c,t,simcur)/QXACX(a,c,t-1,simcur) - 1);

PXACXPY(a,c,t,simcur)$PXACX(a,c,t-1,simcur) = 
  100*(PXACX(a,c,t,simcur)/PXACX(a,c,t-1,simcur) - 1);
  
TCO2XPY(a,t,simcur)$TCO2X(a,t-1,simcur) = 
  100*(TCO2X(a,t,simcur)/TCO2X(a,t-1,simcur) - 1);

TCO2SCALXPY(t,simcur)$TCO2SCALX(t-1,simcur) = 
  100*(TCO2SCALX(t,simcur)/TCO2SCALX(t-1,simcur) - 1);

YTAXCO2XPY(t,simcur)$YTAXCO2X(t-1,simcur) = 
  100*(YTAXCO2X(t,simcur)/YTAXCO2X(t-1,simcur) - 1);
  
REGPQDXPY(c,ac,t,simcur)$REGPQDX(c,ac,t-1,simcur) = 
  100*(REGPQDX(c,ac,t,simcur)/REGPQDX(c,ac,t-1,simcur) - 1);

PQDREALXPY(c,ac,t,simcur)$PQDREALX(c,ac,t-1,simcur) = 
  100*(PQDREALX(c,ac,t,simcur)/PQDREALX(c,ac,t-1,simcur) - 1);

QTRSTFSCALXPY(instrst,t,simcur)$QTRSTFSCALX(instrst,t-1,simcur) = 
  100*(QTRSTFSCALX(instrst,t,simcur)/QTRSTFSCALX(instrst,t-1,simcur) - 1);

QFSSCALXPY(f,t,simcur)$QFSSCALX(f,t-1,simcur) = 
  100*(QFSSCALX(f,t,simcur)/QFSSCALX(f,t-1,simcur) - 1);

QFSINITXPY(f,t,simcur)$QFSINITX(f,t-1,simcur) = 
  100*(QFSINITX(f,t,simcur)/QFSINITX(f,t-1,simcur) - 1);

QFMIGRXPY(ins,f,fp,t,simcur)$QFMIGRX(ins,f,fp,t-1,simcur) = 
  100*(QFMIGRX(ins,f,fp,t,simcur)/QFMIGRX(ins,f,fp,t-1,simcur) - 1);

WFRATXPY(f,fp,t,simcur)$WFRATX(f,fp,t-1,simcur) = 
  100*(WFRATX(f,fp,t,simcur)/WFRATX(f,fp,t-1,simcur) - 1);

QFINSINITXPY(ins,f,t,simcur)$QFINSINITX(ins,f,t-1,simcur) = 
  100*(QFINSINITX(ins,f,t,simcur)/QFINSINITX(ins,f,t-1,simcur) - 1);

CALTFPXPY(t,simcur)$CALTFPX(t-1,simcur) = 
  100*(CALTFPX(t,simcur)/CALTFPX(t-1,simcur) - 1);

CALTFPAXPY(a,t,simcur)$CALTFPAX(a,t-1,simcur) = 
  100*(CALTFPAX(a,t,simcur)/CALTFPAX(a,t-1,simcur) - 1);

CPIXPY(t,simcur)$CPIX(t-1,simcur) = 
  100*(CPIX(t,simcur)/CPIX(t-1,simcur) - 1);

DKAXPY(f,a,t,simcur)$DKAX(f,a,t-1,simcur) = 
  100*(DKAX(f,a,t,simcur)/DKAX(f,a,t-1,simcur) - 1);

DKINSXPY(ins2,fcap,t,simcur)$DKINSX(ins2,fcap,t-1,simcur) = 
  100*(DKINSX(ins2,fcap,t,simcur)/DKINSX(ins2,fcap,t-1,simcur) - 1);

DPIXPY(t,simcur)$DPIX(t-1,simcur) = 
  100*(DPIX(t,simcur)/DPIX(t-1,simcur) - 1);

EGXPY(t,simcur)$EGX(t-1,simcur) = 
  100*(EGX(t,simcur)/EGX(t-1,simcur) - 1);

EHXPY(h,t,simcur)$EHX(h,t-1,simcur) = 
  100*(EHX(h,t,simcur)/EHX(h,t-1,simcur) - 1);

EMIXPY(acpp,ac,acp,t,simcur)$EMIX(acpp,ac,acp,t-1,simcur) = 
  100*(EMIX(acpp,ac,acp,t,simcur)/EMIX(acpp,ac,acp,t-1,simcur) - 1);

EXRXPY(t,simcur)$EXRX(t-1,simcur) = 
  100*(EXRX(t,simcur)/EXRX(t-1,simcur) - 1);

FBORXPY(ins2,t,simcur)$FBORX(ins2,t-1,simcur) = 
  100*(FBORX(ins2,t,simcur)/FBORX(ins2,t-1,simcur) - 1);

FDEBTXPY(ins2,t,simcur)$FDEBTX(ins2,t-1,simcur) = 
  100*(FDEBTX(ins2,t,simcur)/FDEBTX(ins2,t-1,simcur) - 1);

FDIXPY(fcap,t,simcur)$FDIX(fcap,t-1,simcur) = 
  100*(FDIX(fcap,t,simcur)/FDIX(fcap,t-1,simcur) - 1);

FDISCALXPY(t,simcur)$FDISCALX(t-1,simcur) = 
  100*(FDISCALX(t,simcur)/FDISCALX(t-1,simcur) - 1);

FPRDAXPY(f,a,t,simcur)$FPRDAX(f,a,t-1,simcur) = 
  100*(FPRDAX(f,a,t,simcur)/FPRDAX(f,a,t-1,simcur) - 1);

GBORXPY(t,simcur)$GBORX(t-1,simcur) = 
  100*(GBORX(t,simcur)/GBORX(t-1,simcur) - 1);

GDEBTXPY(t,simcur)$GDEBTX(t-1,simcur) = 
  100*(GDEBTX(t,simcur)/GDEBTX(t-1,simcur) - 1);

GDPMPXPY(t,simcur)$GDPMPX(t-1,simcur) = 
  100*(GDPMPX(t,simcur)/GDPMPX(t-1,simcur) - 1);

GOVRECGDPXPY(acgovrec,t,simcur)$GOVRECGDPX(acgovrec,t-1,simcur) = 
  100*(GOVRECGDPX(acgovrec,t,simcur)/GOVRECGDPX(acgovrec,t-1,simcur) - 1);

GOVSPNDGDPXPY(acgovspnd,t,simcur)$GOVSPNDGDPX(acgovspnd,t-1,simcur) = 
  100*(GOVSPNDGDPX(acgovspnd,t,simcur)/GOVSPNDGDPX(acgovspnd,t-1,simcur) - 1);

IADJXPY(ins2,fcap,t,simcur)$IADJX(ins2,fcap,t-1,simcur) = 
  100*(IADJX(ins2,fcap,t,simcur)/IADJX(ins2,fcap,t-1,simcur) - 1);

IADJ2XPY(ins2,t,simcur)$IADJ2X(ins2,t-1,simcur) = 
  100*(IADJ2X(ins2,t,simcur)/IADJ2X(ins2,t-1,simcur) - 1);

INVVALGXPY(t,simcur)$INVVALGX(t-1,simcur) = 
  100*(INVVALGX(t,simcur)/INVVALGX(t-1,simcur) - 1);

LABPARTRATXPY(t,simcur)$LABPARTRATX(t-1,simcur) = 
  100*(LABPARTRATX(t,simcur)/LABPARTRATX(t-1,simcur) - 1);

MPSXPY(ins,t,simcur)$MPSX(ins,t-1,simcur) = 
  100*(MPSX(ins,t,simcur)/MPSX(ins,t-1,simcur) - 1);

MPSSCALXPY(t,simcur)$MPSSCALX(t-1,simcur) = 
  100*(MPSSCALX(t,simcur)/MPSSCALX(t-1,simcur) - 1);

NDFGXPY(t,simcur)$NDFGX(t-1,simcur) = 
  100*(NDFGX(t,simcur)/NDFGX(t-1,simcur) - 1);

NFFGXPY(t,simcur)$NFFGX(t-1,simcur) = 
  100*(NFFGX(t,simcur)/NFFGX(t-1,simcur) - 1);

NFFINSSCALXPY(t,simcur)$NFFINSSCALX(t-1,simcur) = 
  100*(NFFINSSCALX(t,simcur)/NFFINSSCALX(t-1,simcur) - 1);

NFFNGXPY(t,simcur)$NFFNGX(t-1,simcur) = 
  100*(NFFNGX(t,simcur)/NFFNGX(t-1,simcur) - 1);

NGOVPAYGDPXPY(acngovpay,t,simcur)$NGOVPAYGDPX(acngovpay,t-1,simcur) = 
  100*(NGOVPAYGDPX(acngovpay,t,simcur)/NGOVPAYGDPX(acngovpay,t-1,simcur) - 1);

PAXPY(a,t,simcur)$PAX(a,t-1,simcur) = 
  100*(PAX(a,t,simcur)/PAX(a,t-1,simcur) - 1);

PAREALXPY(a,t,simcur)$PAREALX(a,t-1,simcur) = 
  100*(PAREALX(a,t,simcur)/PAREALX(a,t-1,simcur) - 1);

PDDXPY(c,t,simcur)$PDDX(c,t-1,simcur) = 
  100*(PDDX(c,t,simcur)/PDDX(c,t-1,simcur) - 1);

PDSXPY(c,t,simcur)$PDSX(c,t-1,simcur) = 
  100*(PDSX(c,t,simcur)/PDSX(c,t-1,simcur) - 1);

PDSREALXPY(c,t,simcur)$PDSREALX(c,t-1,simcur) = 
  100*(PDSREALX(c,t,simcur)/PDSREALX(c,t-1,simcur) - 1);

PEXPY(c,t,simcur)$PEX(c,t-1,simcur) = 
  100*(PEX(c,t,simcur)/PEX(c,t-1,simcur) - 1);

PENXPY(a,t,simcur)$PENX(a,t-1,simcur) = 
  100*(PENX(a,t,simcur)/PENX(a,t-1,simcur) - 1);

PERXPY(c,r,t,simcur)$PERX(c,r,t-1,simcur) = 
  100*(PERX(c,r,t,simcur)/PERX(c,r,t-1,simcur) - 1);

PINTAXPY(a,t,simcur)$PINTAX(a,t-1,simcur) = 
  100*(PINTAX(a,t,simcur)/PINTAX(a,t-1,simcur) - 1);

PKXPY(fcap,t,simcur)$PKX(fcap,t-1,simcur) = 
  100*(PKX(fcap,t,simcur)/PKX(fcap,t-1,simcur) - 1);

PKENXPY(a,t,simcur)$PKENX(a,t-1,simcur) = 
  100*(PKENX(a,t,simcur)/PKENX(a,t-1,simcur) - 1);

PLANDWATXPY(a,t,simcur)$PLANDWATX(a,t-1,simcur) = 
  100*(PLANDWATX(a,t,simcur)/PLANDWATX(a,t-1,simcur) - 1);

PLLXPY(a,t,simcur)$PLLX(a,t-1,simcur) = 
  100*(PLLX(a,t,simcur)/PLLX(a,t-1,simcur) - 1);

PMXPY(c,t,simcur)$PMX(c,t-1,simcur) = 
  100*(PMX(c,t,simcur)/PMX(c,t-1,simcur) - 1);

PMRXPY(c,r,t,simcur)$PMRX(c,r,t-1,simcur) = 
  100*(PMRX(c,r,t,simcur)/PMRX(c,r,t-1,simcur) - 1);

PQDXPY(c,ac,t,simcur)$PQDX(c,ac,t-1,simcur) = 
  100*(PQDX(c,ac,t,simcur)/PQDX(c,ac,t-1,simcur) - 1);

PQSXPY(c,t,simcur)$PQSX(c,t-1,simcur) = 
  100*(PQSX(c,t,simcur)/PQSX(c,t-1,simcur) - 1);

PQSREALXPY(c,t,simcur)$PQSREALX(c,t-1,simcur) = 
  100*(PQSREALX(c,t,simcur)/PQSREALX(c,t-1,simcur) - 1);

PSTARXPY(c,r,t,simcur)$PSTARX(c,r,t-1,simcur) = 
  100*(PSTARX(c,r,t,simcur)/PSTARX(c,r,t-1,simcur) - 1);

PVAXPY(a,t,simcur)$PVAX(a,t-1,simcur) = 
  100*(PVAX(a,t,simcur)/PVAX(a,t-1,simcur) - 1);

PWATAXPY(a,t,simcur)$PWATAX(a,t-1,simcur) = 
  100*(PWATAX(a,t,simcur)/PWATAX(a,t-1,simcur) - 1);

PWERXPY(c,r,t,simcur)$PWERX(c,r,t-1,simcur) = 
  100*(PWERX(c,r,t,simcur)/PWERX(c,r,t-1,simcur) - 1);

PWMRXPY(c,r,t,simcur)$PWMRX(c,r,t-1,simcur) = 
  100*(PWMRX(c,r,t,simcur)/PWMRX(c,r,t-1,simcur) - 1);

PXXPY(c,t,simcur)$PXX(c,t-1,simcur) = 
  100*(PXX(c,t,simcur)/PXX(c,t-1,simcur) - 1);

QAXPY(a,t,simcur)$QAX(a,t-1,simcur) = 
  100*(QAX(a,t,simcur)/QAX(a,t-1,simcur) - 1);

QDXPY(c,t,simcur)$QDX(c,t-1,simcur) = 
  100*(QDX(c,t,simcur)/QDX(c,t-1,simcur) - 1);

QEXPY(c,t,simcur)$QEX(c,t-1,simcur) = 
  100*(QEX(c,t,simcur)/QEX(c,t-1,simcur) - 1);

QENXPY(a,t,simcur)$QENX(a,t-1,simcur) = 
  100*(QENX(a,t,simcur)/QENX(a,t-1,simcur) - 1);

QERXPY(c,r,t,simcur)$QERX(c,r,t-1,simcur) = 
  100*(QERX(c,r,t,simcur)/QERX(c,r,t-1,simcur) - 1);

QFXPY(ac,acp,t,simcur)$QFX(ac,acp,t-1,simcur) = 
  100*(QFX(ac,acp,t,simcur)/QFX(ac,acp,t-1,simcur) - 1);

QFINSXPY(ins,f,t,simcur)$QFINSX(ins,f,t-1,simcur) = 
  100*(QFINSX(ins,f,t,simcur)/QFINSX(ins,f,t-1,simcur) - 1);

QFSXPY(f,t,simcur)$QFSX(f,t-1,simcur) = 
  100*(QFSX(f,t,simcur)/QFSX(f,t-1,simcur) - 1);

QGXPY(c,t,simcur)$QGX(c,t-1,simcur) = 
  100*(QGX(c,t,simcur)/QGX(c,t-1,simcur) - 1);

QGSCALXPY(t,simcur)$QGSCALX(t-1,simcur) = 
  100*(QGSCALX(t,simcur)/QGSCALX(t-1,simcur) - 1);

QHXPY(c,h,t,simcur)$QHX(c,h,t-1,simcur) = 
  100*(QHX(c,h,t,simcur)/QHX(c,h,t-1,simcur) - 1);

QHPCXPY(t,simcur)$QHPCX(t-1,simcur) = 
  100*(QHPCX(t,simcur)/QHPCX(t-1,simcur) - 1);

QINTXPY(c,a,t,simcur)$QINTX(c,a,t-1,simcur) = 
  100*(QINTX(c,a,t,simcur)/QINTX(c,a,t-1,simcur) - 1);

QINTAXPY(a,t,simcur)$QINTAX(a,t-1,simcur) = 
  100*(QINTAX(a,t,simcur)/QINTAX(a,t-1,simcur) - 1);

QINVXPY(c,t,simcur)$QINVX(c,t-1,simcur) = 
  100*(QINVX(c,t,simcur)/QINVX(c,t-1,simcur) - 1);

QKENXPY(a,t,simcur)$QKENX(a,t-1,simcur) = 
  100*(QKENX(a,t,simcur)/QKENX(a,t-1,simcur) - 1);

QLABSCALXPY(t,simcur)$QLABSCALX(t-1,simcur) = 
  100*(QLABSCALX(t,simcur)/QLABSCALX(t-1,simcur) - 1);

QLANDWATXPY(a,t,simcur)$QLANDWATX(a,t-1,simcur) = 
  100*(QLANDWATX(a,t,simcur)/QLANDWATX(a,t-1,simcur) - 1);

QLLXPY(a,t,simcur)$QLLX(a,t-1,simcur) = 
  100*(QLLX(a,t,simcur)/QLLX(a,t-1,simcur) - 1);

QMXPY(c,t,simcur)$QMX(c,t-1,simcur) = 
  100*(QMX(c,t,simcur)/QMX(c,t-1,simcur) - 1);

QMRXPY(c,r,t,simcur)$QMRX(c,r,t-1,simcur) = 
  100*(QMRX(c,r,t,simcur)/QMRX(c,r,t-1,simcur) - 1);

QNGOXPY(c,insngo,t,simcur)$QNGOX(c,insngo,t-1,simcur) = 
  100*(QNGOX(c,insngo,t,simcur)/QNGOX(c,insngo,t-1,simcur) - 1);

QNGOSCALXPY(insngo,t,simcur)$QNGOSCALX(insngo,t-1,simcur) = 
  100*(QNGOSCALX(insngo,t,simcur)/QNGOSCALX(insngo,t-1,simcur) - 1);

QQXPY(c,t,simcur)$QQX(c,t-1,simcur) = 
  100*(QQX(c,t,simcur)/QQX(c,t-1,simcur) - 1);

QSSECXPY(c,t,simcur)$QSSECX(c,t-1,simcur) = 
  100*(QSSECX(c,t,simcur)/QSSECX(c,t-1,simcur) - 1);

QSSECSCALXPY(t,simcur)$QSSECSCALX(t-1,simcur) = 
  100*(QSSECSCALX(t,simcur)/QSSECSCALX(t-1,simcur) - 1);

QTXPY(c,t,simcur)$QTX(c,t-1,simcur) = 
  100*(QTX(c,t,simcur)/QTX(c,t-1,simcur) - 1);

QTRSTFXPY(c,instrst,t,simcur)$QTRSTFX(c,instrst,t-1,simcur) = 
  100*(QTRSTFX(c,instrst,t,simcur)/QTRSTFX(c,instrst,t-1,simcur) - 1);

QVAXPY(a,t,simcur)$QVAX(a,t-1,simcur) = 
  100*(QVAX(a,t,simcur)/QVAX(a,t-1,simcur) - 1);

QWATAXPY(a,t,simcur)$QWATAX(a,t-1,simcur) = 
  100*(QWATAX(a,t,simcur)/QWATAX(a,t-1,simcur) - 1);

QXXPY(c,t,simcur)$QXX(c,t-1,simcur) = 
  100*(QXX(c,t,simcur)/QXX(c,t-1,simcur) - 1);

REGPAXPY(a,t,simcur)$REGPAX(a,t-1,simcur) = 
  100*(REGPAX(a,t,simcur)/REGPAX(a,t-1,simcur) - 1);

REGPDSXPY(c,t,simcur)$REGPDSX(c,t-1,simcur) = 
  100*(REGPDSX(c,t,simcur)/REGPDSX(c,t-1,simcur) - 1);

REGPQSXPY(c,t,simcur)$REGPQSX(c,t-1,simcur) = 
  100*(REGPQSX(c,t,simcur)/REGPQSX(c,t-1,simcur) - 1);

REXRXPY(t,simcur)$REXRX(t-1,simcur) = 
  100*(REXRX(t,simcur)/REXRX(t-1,simcur) - 1);

RGDPFCXPY(t,simcur)$RGDPFCX(t-1,simcur) = 
  100*(RGDPFCX(t,simcur)/RGDPFCX(t-1,simcur) - 1);

RGDPMPXPY(t,simcur)$RGDPMPX(t-1,simcur) = 
  100*(RGDPMPX(t,simcur)/RGDPMPX(t-1,simcur) - 1);

RNDFGXPY(t,simcur)$RNDFGX(t-1,simcur) = 
  100*(RNDFGX(t,simcur)/RNDFGX(t-1,simcur) - 1);

RSURPGXPY(t,simcur)$RSURPGX(t-1,simcur) = 
  100*(RSURPGX(t,simcur)/RSURPGX(t-1,simcur) - 1);

SAVFXPY(t,simcur)$SAVFX(t-1,simcur) = 
  100*(SAVFX(t,simcur)/SAVFX(t-1,simcur) - 1);

SAVINSXPY(insdng,t,simcur)$SAVINSX(insdng,t-1,simcur) = 
  100*(SAVINSX(insdng,t,simcur)/SAVINSX(insdng,t-1,simcur) - 1);

SHIFXPY(ins,f,t,simcur)$SHIFX(ins,f,t-1,simcur) = 
  100*(SHIFX(ins,f,t,simcur)/SHIFX(ins,f,t-1,simcur) - 1);

SUBCXPY(c,ac,t,simcur)$SUBCX(c,ac,t-1,simcur) = 
  100*(SUBCX(c,ac,t,simcur)/SUBCX(c,ac,t-1,simcur) - 1);

SUBCSCALXPY(t,simcur)$SUBCSCALX(t-1,simcur) = 
  100*(SUBCSCALX(t,simcur)/SUBCSCALX(t-1,simcur) - 1);

SUBCTXPY(t,simcur)$SUBCTX(t-1,simcur) = 
  100*(SUBCTX(t,simcur)/SUBCTX(t-1,simcur) - 1);

SURPGXPY(t,simcur)$SURPGX(t-1,simcur) = 
  100*(SURPGX(t,simcur)/SURPGX(t-1,simcur) - 1);

TAXPY(a,t,simcur)$TAX(a,t-1,simcur) = 
  100*(TAX(a,t,simcur)/TAX(a,t-1,simcur) - 1);

TASCALXPY(t,simcur)$TASCALX(t-1,simcur) = 
  100*(TASCALX(t,simcur)/TASCALX(t-1,simcur) - 1);

TEXPY(c,r,t,simcur)$TEX(c,r,t-1,simcur) = 
  100*(TEX(c,r,t,simcur)/TEX(c,r,t-1,simcur) - 1);

TESCALXPY(taxexp,t,simcur)$TESCALX(taxexp,t-1,simcur) = 
  100*(TESCALX(taxexp,t,simcur)/TESCALX(taxexp,t-1,simcur) - 1);

TFXPY(f,t,simcur)$TFX(f,t-1,simcur) = 
  100*(TFX(f,t,simcur)/TFX(f,t-1,simcur) - 1);

TFACTXPY(f,a,t,simcur)$TFACTX(f,a,t-1,simcur) = 
  100*(TFACTX(f,a,t,simcur)/TFACTX(f,a,t-1,simcur) - 1);

TFACTSCALXPY(taxfact,t,simcur)$TFACTSCALX(taxfact,t-1,simcur) = 
  100*(TFACTSCALX(taxfact,t,simcur)/TFACTSCALX(taxfact,t-1,simcur) - 1);

TFPXPY(a,t,simcur)$TFPX(a,t-1,simcur) = 
  100*(TFPX(a,t,simcur)/TFPX(a,t-1,simcur) - 1);

TFSCALXPY(t,simcur)$TFSCALX(t-1,simcur) = 
  100*(TFSCALX(t,simcur)/TFSCALX(t-1,simcur) - 1);

TMXPY(c,r,t,simcur)$TMX(c,r,t-1,simcur) = 
  100*(TMX(c,r,t,simcur)/TMX(c,r,t-1,simcur) - 1);

TMSCALXPY(taximp,t,simcur)$TMSCALX(taximp,t-1,simcur) = 
  100*(TMSCALX(taximp,t,simcur)/TMSCALX(taximp,t-1,simcur) - 1);

TQXPY(c,t,simcur)$TQX(c,t-1,simcur) = 
  100*(TQX(c,t,simcur)/TQX(c,t-1,simcur) - 1);

TQSCALXPY(t,simcur)$TQSCALX(t-1,simcur) = 
  100*(TQSCALX(t,simcur)/TQSCALX(t-1,simcur) - 1);

TRNSFRXPY(ac,ins,t,simcur)$TRNSFRX(ac,ins,t-1,simcur) = 
  100*(TRNSFRX(ac,ins,t,simcur)/TRNSFRX(ac,ins,t-1,simcur) - 1);

TRNSFRSCALXPY(ac,t,simcur)$TRNSFRSCALX(ac,t-1,simcur) = 
  100*(TRNSFRSCALX(ac,t,simcur)/TRNSFRSCALX(ac,t-1,simcur) - 1);

TVACXPY(c,ac,t,simcur)$TVACX(c,ac,t-1,simcur) = 
  100*(TVACX(c,ac,t,simcur)/TVACX(c,ac,t-1,simcur) - 1);

TVACSCALXPY(t,simcur)$TVACSCALX(t-1,simcur) = 
  100*(TVACSCALX(t,simcur)/TVACSCALX(t-1,simcur) - 1);

TYXPY(ins,t,simcur)$TYX(ins,t-1,simcur) = 
  100*(TYX(ins,t,simcur)/TYX(ins,t-1,simcur) - 1);

TYSCALXPY(t,simcur)$TYSCALX(t-1,simcur) = 
  100*(TYSCALX(t,simcur)/TYSCALX(t-1,simcur) - 1);

UERATXPY(f,t,simcur)$UERATX(f,t-1,simcur) = 
  100*(UERATX(f,t,simcur)/UERATX(f,t-1,simcur) - 1);

WALRASXPY(t,simcur)$WALRASX(t-1,simcur) = 
  100*(WALRASX(t,simcur)/WALRASX(t-1,simcur) - 1);

WFXPY(f,t,simcur)$WFX(f,t-1,simcur) = 
  100*(WFX(f,t,simcur)/WFX(f,t-1,simcur) - 1);

WFAVGXPY(f,t,simcur)$WFAVGX(f,t-1,simcur) = 
  100*(WFAVGX(f,t,simcur)/WFAVGX(f,t-1,simcur) - 1);

WFDISTXPY(f,a,t,simcur)$WFDISTX(f,a,t-1,simcur) = 
  100*(WFDISTX(f,a,t,simcur)/WFDISTX(f,a,t-1,simcur) - 1);

YFXPY(f,t,simcur)$YFX(f,t-1,simcur) = 
  100*(YFX(f,t,simcur)/YFX(f,t-1,simcur) - 1);

YGXPY(t,simcur)$YGX(t-1,simcur) = 
  100*(YGX(t,simcur)/YGX(t-1,simcur) - 1);

YIXPY(insdng,t,simcur)$YIX(insdng,t-1,simcur) = 
  100*(YIX(insdng,t,simcur)/YIX(insdng,t-1,simcur) - 1);

YIFXPY(ins,f,t,simcur)$YIFX(ins,f,t-1,simcur) = 
  100*(YIFX(ins,f,t,simcur)/YIFX(ins,f,t-1,simcur) - 1);

YTAXACTXPY(t,simcur)$YTAXACTX(t-1,simcur) = 
  100*(YTAXACTX(t,simcur)/YTAXACTX(t-1,simcur) - 1);

YTAXCOMXPY(t,simcur)$YTAXCOMX(t-1,simcur) = 
  100*(YTAXCOMX(t,simcur)/YTAXCOMX(t-1,simcur) - 1);

YTAXDIRXPY(t,simcur)$YTAXDIRX(t-1,simcur) = 
  100*(YTAXDIRX(t,simcur)/YTAXDIRX(t-1,simcur) - 1);

YTAXEXPXPY(taxexp,t,simcur)$YTAXEXPX(taxexp,t-1,simcur) = 
  100*(YTAXEXPX(taxexp,t,simcur)/YTAXEXPX(taxexp,t-1,simcur) - 1);

YTAXFACXPY(t,simcur)$YTAXFACX(t-1,simcur) = 
  100*(YTAXFACX(t,simcur)/YTAXFACX(t-1,simcur) - 1);

YTAXFACTXPY(taxfact,t,simcur)$YTAXFACTX(taxfact,t-1,simcur) = 
  100*(YTAXFACTX(taxfact,t,simcur)/YTAXFACTX(taxfact,t-1,simcur) - 1);

YTAXIMPXPY(taximp,t,simcur)$YTAXIMPX(taximp,t-1,simcur) = 
  100*(YTAXIMPX(taximp,t,simcur)/YTAXIMPX(taximp,t-1,simcur) - 1);

YTAXVACXPY(t,simcur)$YTAXVACX(t-1,simcur) = 
  100*(YTAXVACX(t,simcur)/YTAXVACX(t-1,simcur) - 1);

gdpindicXPY(igdp,kgdp,t,simcur)$gdpindic(igdp,kgdp,t-1,simcur) = 
  100*(gdpindic(igdp,kgdp,t,simcur)/gdpindic(igdp,kgdp,t-1,simcur) - 1);

hhdconindicXPY(ac,acp,kgdp,t,simcur)$hhdconindic(ac,acp,kgdp,t-1,simcur) = 
  100*(hhdconindic(ac,acp,kgdp,t,simcur)/hhdconindic(ac,acp,kgdp,t-1,simcur) - 1);

sectorindicXPY(ac,sectorcol3,kgdp,t,simcur)$sectorindic(ac,sectorcol3,kgdp,t-1,simcur) = 
  100*(sectorindic(ac,sectorcol3,kgdp,t,simcur)/sectorindic(ac,sectorcol3,kgdp,t-1,simcur) - 1);

sectorindic2XPY(acrep,sectorcol3,kgdp,t,simcur)$sectorindic2(acrep,sectorcol3,kgdp,t-1,simcur) = 
  100*(sectorindic2(acrep,sectorcol3,kgdp,t,simcur)/sectorindic2(acrep,sectorcol3,kgdp,t-1,simcur) - 1);

trstindicXPY(kgdp,ac,instrst,t,simcur)$trstindic(kgdp,ac,instrst,t-1,simcur) = 
  100*(trstindic(kgdp,ac,instrst,t,simcur)/trstindic(kgdp,ac,instrst,t-1,simcur) - 1);

emiindicXPY(emicol,ac,t,simcur)$emiindic(emicol,ac,t-1,simcur) = 
  100*(emiindic(emicol,ac,t,simcur)/emiindic(emicol,ac,t-1,simcur) - 1);

emiindic2XPY(emicol,acrep,t,simcur)$emiindic2(emicol,acrep,t-1,simcur) = 
  100*(emiindic2(emicol,acrep,t,simcur)/emiindic2(emicol,acrep,t-1,simcur) - 1);

emicindicXPY(emicol,ac,ac,t,simcur)$emicindic(emicol,ac,ac,t-1,simcur) = 
  100*(emicindic(emicol,ac,ac,t,simcur)/emicindic(emicol,ac,ac,t-1,simcur) - 1);

qtrstbXPY(c,instrst,t,simcur)$qtrstbX(c,instrst,t-1,simcur) = 
  100*(qtrstbX(c,instrst,t,simcur)/qtrstbX(c,instrst,t-1,simcur) - 1);

uerat2XPY(ac,t,simcur)$uerat2X(ac,t-1,simcur) = 
  100*(uerat2X(ac,t,simcur)/uerat2X(ac,t-1,simcur) - 1);

qhpc2XPY(ac,t,simcur)$qhpc2X(ac,t-1,simcur) = 
  100*(qhpc2X(ac,t,simcur)/qhpc2X(ac,t-1,simcur) - 1);

yhpcXPY(ac,t,simcur)$yhpcX(ac,t-1,simcur) = 
  100*(yhpcX(ac,t,simcur)/yhpcX(ac,t-1,simcur) - 1);

qva2XPY(a,t,simcur)$qva2X(a,t-1,simcur) = 
  100*(qva2X(a,t,simcur)/qva2X(a,t-1,simcur) - 1);

tfpaXPY(a,t,simcur)$tfpaX(a,t-1,simcur) = 
  100*(tfpaX(a,t,simcur)/tfpaX(a,t-1,simcur) - 1);

tfpatotXPY(t,simcur)$tfpatotX(t-1,simcur) = 
  100*(tfpatotX(t,simcur)/tfpatotX(t-1,simcur) - 1);


DISPLAY "#### END: repperc-xpy.inc";

